<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="lingtao.net.mapper.ClothingTagMapper">

    <insert id="insert" parameterType="lingtao.net.entity.ClothingTag">
        INSERT INTO product_clothing_tag
        (material,
         technique,
         product_membrane,
         product_slice,
         is_rope,
         compute,
         formula,
         rope_formula,
         is_multi)
        VALUES (#{material},
                #{technique},
                #{productMembrane},
                #{productSlice},
                #{isRope},
                #{compute,typeHandler=lingtao.net.handler.MapToVarcharTypeHandler},
                #{formula},
                #{ropeFormula},
                #{isMulti})
    </insert>
</mapper>